export declare enum CapturedResultType {
    AAMVABarcodeResult = "aamvaBarcodeResult",
    ApecBusinessTravelCardMrzResult = "ApecBusinessTravelCardMrzResult",
    ArgentinaIdBarcodeResult = "argentinaIdBarcodeResult",
    ChinaMainlandTravelPermitMrzResult = "chinaMainlandTravelPermitMrzResult",
    ChinaExitEntryPermitMrzResult = "chinaExitEntryPermitMrzResult",
    ChinaOneWayPermitFrontMrzResult = "chinaOneWayPermitFrontMrzResult",
    ChinaOneWayPermitBackMrzResult = "chinaOneWayPermitBackMrzResult",
    ColombiaIdBarcodeResult = "colombiaIdBarcodeResult",
    ColombiaDlBarcodeResult = "colombiaDlBarcodeResult",
    MRZResult = "mrzResult",
    SouthAfricaDlBarcodeResult = "southAfricaDlBarcodeResult",
    SouthAfricaIdBarcodeResult = "southAfricaIdBarcodeResult",
    USUniformedServicesBarcodeResult = "usUniformedServicesBarcodeResult",
    CommonAccessCardBarcodeResult = "commonAccessCardBarcodeResult",
    USVisaVIZResult = "usVisaVizResult",
    VIZResult = "vizResult"
}
export declare enum DocumentType {
    None = "none",
    ConsularId = "consularId",
    DrivingLicense = "drivingLicense",
    DrivingLicensePublicServicesCard = "drivingLicensePublicServicesCard",
    EmploymentPass = "employmentPass",
    FinCard = "finCard",
    Id = "id",
    MultipurposeId = "multipurposeId",
    MyKad = "myKad",
    MyKid = "myKid",
    MyPR = "myPr",
    MyTentera = "myTentera",
    PanCard = "panCard",
    ProfessionalId = "professionalId",
    PublicServicesCard = "publicServicesCard",
    ResidencePermit = "residencePermit",
    ResidentId = "residentId",
    TemporaryResidencePermit = "temporaryResidencePermit",
    VoterId = "voterId",
    WorkPermit = "workPermit",
    IKad = "iKad",
    MilitaryId = "militaryId",
    MyKas = "myKas",
    SocialSecurityCard = "socialSecurityCard",
    HealthInsuranceCard = "healthInsuranceCard",
    Passport = "passport",
    Visa = "visa",
    SPass = "sPass",
    AddressCard = "addressCard",
    AlienId = "alienId",
    AlienPassport = "alienPassport",
    GreenCard = "greenCard",
    MinorsId = "minorsId",
    PostalId = "postalId",
    ProfessionalDl = "professionalDl",
    TaxId = "taxId",
    WeaponPermit = "weaponPermit",
    BorderCrossingCard = "borderCrossingCard",
    DriverCard = "driverCard",
    GlobalEntryCard = "globalEntryCard",
    MyPolis = "myPolis",
    NexusCard = "nexusCard",
    PassportCard = "passportCard",
    ProofOfAgeCard = "proofOfAgeCard",
    RefugeeId = "refugeeId",
    TribalId = "tribalId",
    VeteranId = "veteranId",
    CitizenshipCertificate = "citizenshipCertificate",
    MyNumberCard = "myNumberCard",
    MinorsPassport = "minorsPassport",
    MinorsPublicServicesCard = "minorsPublicServicesCard",
    DiplomaticPassport = "diplomaticPassport",
    RefugeePassport = "refugeePassport",
    AsylumRequest = "asylumRequest",
    DriverQualificationCard = "driverQualificationCard",
    DrivingPrivilegeCard = "drivingPrivilegeCard",
    ProvisionalDl = "provisionalDl",
    SpecialId = "specialId",
    UniformedServicesId = "uniformedServicesId",
    ImmigrantVisa = "immigrantVisa",
    ConsularVoterId = "consularVoterId",
    TwicCard = "twicCard",
    ExitEntryPermit = "exitEntryPermit",
    MainlandTravelPermitTaiwan = "mainlandTravelPermitTaiwan",
    NbiClearance = "nbiClearance",
    ProofOfRegistration = "proofOfRegistration",
    TemporaryProtectionPermit = "temporaryProtectionPermit",
    MunicipalId = "municipalId",
    AfghanCitizenCard = "afghanCitizenCard",
    Eid = "eid",
    Pass = "pass",
    SisId = "sisId",
    MedicalMarijuanaCard = "medicalMarijuanaCard",
    AsicCard = "asicCard",
    BidoonCard = "bidoonCard",
    InterimHealthInsuranceCard = "interimHealthInsuranceCard",
    NonVoterId = "nonVoterId",
    ReciprocalHealthInsuranceCard = "reciprocalHealthInsuranceCard",
    VehicleRegistration = "vehicleRegistration"
}
export declare enum IdDocumentType {
    AAMVABarcode = "aamvaBarcode",
    ApecBusinessTravelCardMRZ = "apecBusinessTravelCardMrz",
    ArgentinaIdBarcode = "argentinaIdBarcode",
    ChinaMainlandTravelPermitMRZ = "chinaMainlandTravelPermitMrz",
    ChinaExitEntryPermitMRZ = "chinaExitEntryPermitMrz",
    ChinaOneWayPermitFrontMRZ = "chinaOneWayPermitFrontMrz",
    ChinaOneWayPermitBackMRZ = "chinaOneWayPermitBackMrz",
    ColombiaDlBarcode = "colombiaDlBarcode",
    ColombiaIdBarcode = "colombiaIdBarcode",
    CommonAccessCardBarcode = "commonAccessCardBarcode",
    DLVIZ = "dlViz",
    HealthInsuranceCardVIZ = "healthInsuranceCardViz",
    IdCardMRZ = "idCardMrz",
    IdCardVIZ = "idCardViz",
    PassportMRZ = "passportMrz",
    PassportVIZ = "passportViz",
    SouthAfricaDlBarcode = "southAfricaDlBarcode",
    SouthAfricaIdBarcode = "southAfricaIdBarcode",
    SwissDLMRZ = "swissDlMrz",
    USUSIdBarcode = "usUsIdBarcode",
    VisaMRZ = "visaMrz"
}
export declare enum SupportedSides {
    FrontOnly = "frontOnly",
    FrontAndBack = "frontAndBack"
}
export declare enum IdImageType {
    Face = "face",
    IdFront = "idFront",
    IdBack = "idBack"
}
export declare enum IdAnonymizationMode {
    None = "none",
    FieldsOnly = "fieldsOnly",
    ImagesOnly = "imagesOnly",
    FieldsAndImages = "fieldsAndImages"
}
export declare enum IdCaptureTrigger {
    Auto = "auto",
    ButtonTap = "buttonTap"
}
export declare enum IdLayout {
    TD1 = "td1",
    TD2 = "td2",
    TD3 = "td3",
    MRVa = "mrvA",
    VIZ = "viz",
    PDF417 = "pdf417",
    Auto = "auto",
    None = "none"
}
export declare enum IdLayoutStyle {
    Rounded = "rounded",
    Square = "square"
}
export declare enum IdLayoutLineStyle {
    Light = "light",
    Bold = "bold"
}
export declare enum ComparisonCheckResult {
    Passed = "passed",
    Skipped = "skipped",
    Failed = "failed"
}
export declare enum VizMrzComparisonCheckResult {
    Passed = "passed",
    Skipped = "skipped",
    Failed = "failed"
}
export declare enum RejectionReason {
    DocumentTypeNotEnabled = "documentTypeNotEnabled",
    IncorrectBarcodeFormat = "incorrectBarcodeFormat",
    DocumentVoided = "documentVoided"
}
