export declare enum IdCaptureErrorCode {
    Undefined = "Undefined",
    RecoveredAfterFailure = "RecoveredAfterFailure",
    InvalidLicenseKeyForVIZProcessing = "InvalidLicenseKeyForVIZProcessing",
    InvalidSettingsForVIZProcessing = "InvalidSettingsForVIZProcessing",
    InvalidLicenseKeyForParser = "InvalidLicenseKeyForParser"
}
export declare class IdCaptureError extends Error {
    private _type;
    private _message;
    get type(): IdCaptureErrorCode;
    get message(): string;
    private static create;
    private static fromJSON;
}
