import type { FeedbackJSON } from "scandit-web-datacapture-core";
import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import { Feedback, Sound } from "scandit-web-datacapture-core";
export interface IdCaptureFeedbackJSON {
    idCaptured: FeedbackJSON;
    idRejected: FeedbackJSON;
    idCaptureTimeout: FeedbackJSON;
}
export declare class IdCaptureFeedback implements Serializable<IdCaptureFeedbackJSON> {
    idCaptured: Feedback;
    idRejected: Feedback;
    idCaptureTimeout: Feedback;
    static get defaultFeedback(): IdCaptureFeedback;
    static get defaultSuccessSound(): Sound;
    static get defaultFailureSound(): Sound;
    toJSONObject(): IdCaptureFeedbackJSON;
}
