import { CapturedId } from "./captured-id/CapturedId";
import { LocalizedOnlyId } from "./captured-id/LocalizedOnlyId";
import { RejectedId } from "./captured-id/RejectedId";
export declare class IdCaptureSession {
    private _newlyCapturedId;
    private _frameSequenceId;
    private _localizedOnlyId;
    private _newlyRejectedId;
    private _error;
    get newlyCapturedId(): CapturedId | null;
    get frameSequenceId(): number;
    get localizedOnlyId(): LocalizedOnlyId | null;
    get newlyRejectedId(): RejectedId | null;
    private static fromJSON;
}
