import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import { DateResult } from "./DateResult";
import type { ApecBusinessTravelCardMrzResultJSON } from "../SerializedTypes";
export declare class ApecBusinessTravelCardMrzResult implements Serializable<ApecBusinessTravelCardMrzResultJSON> {
    protected json: ApecBusinessTravelCardMrzResultJSON;
    get documentCode(): string;
    get capturedMrz(): string;
    get passportIssuerIso(): string;
    get passportNumber(): string;
    get passportDateOfExpiry(): DateResult | null;
    private static fromJSON;
    toJSONObject(): ApecBusinessTravelCardMrzResultJSON;
}
