import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import type { MRZResultJSON } from "../SerializedTypes";
export declare class MRZResult implements Serializable<MRZResultJSON> {
    protected json: MRZResultJSON;
    get documentCode(): string;
    get namesAreTruncated(): boolean;
    get optional(): string | null;
    get optional1(): string | null;
    get capturedMrz(): string;
    private static fromJSON;
    toJSONObject(): MRZResultJSON;
}
