import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import { ProfessionalDrivingPermit } from "./ProfessionalDrivingPermit";
import { VehicleRestriction } from "./VehicleRestriction";
import type { SouthAfricaDlBarcodeResultJSON } from "../SerializedTypes";
export declare class SouthAfricaDlBarcodeResult implements Serializable<SouthAfricaDlBarcodeResultJSON> {
    protected json: SouthAfricaDlBarcodeResultJSON;
    get version(): number;
    get licenseCountryOfIssue(): string;
    get personalIdNumber(): string;
    get personalIdNumberType(): string;
    get documentCopy(): number;
    get driverRestrictionCodes(): number[];
    get professionalDrivingPermit(): ProfessionalDrivingPermit | null;
    get vehicleRestrictions(): VehicleRestriction[];
    private static fromJSON;
    toJSONObject(): SouthAfricaDlBarcodeResultJSON;
}
