import type { DataCaptureContext } from "scandit-web-datacapture-core";
import { AamvaBarcodeVerificationResult } from "./AamvaBarcodeVerifierResult";
import type { CapturedId } from "./captured-id/CapturedId";
export declare class AamvaBarcodeVerifier {
    private _context;
    private _endpoint;
    private constructor();
    static create(context: DataCaptureContext): Promise<AamvaBarcodeVerifier>;
    verify(capturedId: CapturedId): Promise<AamvaBarcodeVerificationResult>;
}
