import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import type { ChinaMainlandTravelPermitMrzResultJSON } from "../SerializedTypes";
export declare class ChinaMainlandTravelPermitMrzResult implements Serializable<ChinaMainlandTravelPermitMrzResultJSON> {
    protected json: ChinaMainlandTravelPermitMrzResultJSON;
    get documentCode(): string;
    get capturedMrz(): string;
    get personalIdNumber(): string;
    get renewalTimes(): number;
    get fullNameSimplifiedChinese(): string;
    get omittedCharacterCountInGBKName(): number;
    get omittedNameCount(): number;
    get issuingAuthorityCode(): string | null;
    private static fromJSON;
    toJSONObject(): ChinaMainlandTravelPermitMrzResultJSON;
}
