import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import type { CommonAccessCardBarcodeResultJSON } from "../SerializedTypes";
export declare class CommonAccessCardBarcodeResult implements Serializable<CommonAccessCardBarcodeResultJSON> {
    protected json: CommonAccessCardBarcodeResultJSON;
    get version(): string;
    get personDesignatorDocument(): number;
    get personDesignatorTypeCode(): string;
    get ediPersonIdentifier(): string;
    get personnelCategoryCode(): string;
    get branchOfService(): string;
    get personnelEntitlementConditionType(): string;
    get rank(): string;
    get payPlanCode(): string;
    get payPlanGradeCode(): string;
    get cardInstanceIdentifier(): string;
    get personMiddleInitial(): string;
    private static fromJSON;
    toJSONObject(): CommonAccessCardBarcodeResultJSON;
}
