import { Quadrilateral } from "scandit-web-datacapture-core";
import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import type { RejectionReason } from "../Enums";
import type { RejectedIdJSON } from "../SerializedTypes";
export declare class RejectedId implements Serializable<RejectedIdJSON> {
    private _location;
    private _rejectionReason;
    get location(): Quadrilateral;
    get rejectionReason(): RejectionReason;
    private static fromJSON;
    toJSONObject(): RejectedIdJSON;
}
