import type { Serializable } from "scandit-web-datacapture-core/build/js/private/Serializable";
import { DateResult } from "./DateResult";
import type { VehicleRestrictionJSON } from "../SerializedTypes";
export declare class VehicleRestriction implements Serializable<VehicleRestrictionJSON> {
    private json;
    get vehicleCode(): string;
    get vehicleRestriction(): string;
    get dateOfIssue(): DateResult;
    private static fromJSON;
    toJSONObject(): VehicleRestrictionJSON;
}
