import type { ModuleHandler } from "scandit-web-datacapture-core/build/js/worker/index";
import { WorkerMain as CoreWorkerMain } from "scandit-web-datacapture-core/build/js/worker/index.js";
import { DataCaptureEngine } from "./dataCaptureEngine";
import type { AnyDataCaptureActionMessage, AugmentedWorker, DataCaptureActionMessageKey, Module } from "./dataCaptureWorkerRelated";
export declare class WorkerMain extends CoreWorkerMain<DataCaptureEngine, Module> {
    constructor(workerSelf: AugmentedWorker, module: ModuleHandler<Module>);
    respondWith<T = unknown>(command: DataCaptureActionMessageKey, requestId: number, executor: () => T): Promise<void>;
    onMessage(event: MessageEvent<AnyDataCaptureActionMessage>): boolean;
}
